/* Navigation (DESKTOP)
================================================== */

@media screen and (min-width:64em) {
    header nav {
        background: black;
        width: 100%;
        /* float:left; */
    }
    header nav ul {
        margin: 0;
        width: 100%;
        float: left;
    }
    header nav ul>li {
        list-style: none;
        float: left;
        position: relative;
    }
    header nav ul>li>a {
        font-size: 0.875em;
        color: #ffffff;
        padding: 12px 15px;
        display: block;
        text-decoration: none;
        font-weight: bold;
        text-transform: uppercase;
        transition: all .2s ease-in-out;
        /* border-right: 1px solid #222222; */
    }
    header nav ul>.menu-item-has-children>a:after {
        content: "\f107";
        font-family: 'FontAwesome';
        padding-left: .5em;
    }
    
    .after {
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        position: relative;
        transition: 0.5s color ease;
        text-decoration: none;
    }
    .after:hover {
        color: #ffba54;
    }
    a.after:after {
        content: "";
        transition: 0.5s all ease;
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        position: absolute;
    }
    a.after:after {
        bottom: 0.5em;
    }
    a.after:after {
        height: 0.1rem;
        width: 0;
        background: #ffba54;
    }
    a.first:after {
        left: 0;
    }
    a.after:hover:after {
        width: 100%;
    }
    header nav ul ul {
        position: absolute;
        top: 100%;
        left: 0;
        width: 15em;
        background: #0077ff;
        z-index: 999;
        display: none;
    }
    header nav ul>li:hover ul {
        display: block;
    }
    header nav ul ul li {
        width: 100%;
        background: none !important;
    }
    header nav ul ul li a {
        background: none !important;
        border: none !important;
        font-size: .75em;
        color: #ffffff;
        background: none;
        padding: 1em 1.5em;
        display: block;
        text-decoration: none;
        font-weight: bold;
        text-transform: uppercase;
        transition: all .2s ease-in-out;
    }
    header nav ul ul li a:hover {
        background: #222222 !important;
    }
    header .account {
        color: #86878B;
        float: right;
        padding: .75em 0;
    }
    header .account a {
        font-size: 0.875em;
        color: #86878B;
    }
}


/* Navigation (Mobile/Small Tablet)
================================================== */

@media only screen and (max-width:64em) {
    header {
        width: 100%;
        float: left;
        padding: 0;
        background: black;
    }
    .toggle-background {
        background: #E7E7E7;
    }
    .toggle-rotate {
        transform: rotate(180deg);
    }
    /* .toggle-nav,
    .toggle-search {
        float: right;
        width: 2em;
        height: 2em;
        text-align: center;
        font-size: 2em;
        line-height: 2em;
        color: black;
        transition: all 0.25s ease;
        cursor: pointer;
    } */
    .logo {
        float: left;
        padding: 0.5em 0;
        width: 10em;
    }
    .logo img {
        height: auto;
      
    }
    .mobile-nav,
    .mobile-search {
        display: none;
        background: #FFFFFF;
        /* margin-top: 4em; */
        width: 100%;
    }
    .mobile-search {
        padding: 2em 0 1em;
    }
    .mobile-search .search-form {
        margin: 1.5em 0 1em;
        padding: 0 2em;
        border-top: 1px solid #E7E7E7;
    }
    .mobile-nav ul {
        margin: 0;
    }
    .mobile-nav li {
        list-style: none;
        position: relative;
    }
    .mobile-nav li a {
        padding: 1em;
        color: black;
        text-decoration: none;
        font-weight: 600;
        font-size: 1em;
        border-top: 1px solid #E7E7E7;
        display: block;
        text-transform: uppercase;
    }
    .mobile-nav .accordion-toggle {
        position: absolute;
        top: 0;
        z-index: 999;
        font-size: 1.8em;
        line-height: 2;
        right: 0;
        font-family: "FontAwesome";
        padding: 0 .5em;
        border-left: 1px solid #E7E7E7;
        transition: all 0.25s ease;
    }
    .mobile-nav .accordion-toggle .fa {
        transition: all 0.25s ease;
    }
    .mobile-nav li>ul {
        background: #E7E7E7;
        font-size: .8em;
        display: none;
    }
    .mobile-nav li>ul a {
        padding-left: 2em;
        color: #484848;
        border-bottom: 1px solid #E2E2E2;
    }
    .mobile-nav li>ul li:last-child a {
        border: none;
    }
    .mobile-nav li>ul ul {
        display: none;
    }
}


/* Input & Button Styles
================================================== */

.btns {
    display: inline-block;
    padding: 1em 2.5em;
    box-shadow: 0 2px 3px rgba(0, 0, 0, .15);
    border-radius: 0.313em;
    font-size: 0.938em;
    cursor: pointer;
    margin-bottom: 1em;
    height: auto;
}

.btns:not(:last-of-type) {
    margin-right: 1em;
}

.btns-red {
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    background: #0077ff;
    color: #ffffff;
    border: 1px solid #0077ff;
}

.btns-red:hover {
    background: #0077ff;
    color: #ffffff;
}

.btns-red:active {
    background: #b00000;
    color: #ffffff;
}

.btns-white {
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    background: #ffffff;
    color: #666666 !important;
    border: 1px solid #ffffff;
}

.btns-white:hover {
    color: #333333 !important;
    background: #ffffff;
}

.btns-white:active {
    background: #cccccc;
}

.btns-field {
    position: relative;
    margin-bottom: 1em;
    float: left;
    width: 100%;
}

.btns-field input[type=text] {
    width: 100%;
    padding: 1em 6em 1em 1em;
    margin: 0;
    font-size: 0.938em;
    float: left;
    border: none;
    box-shadow: 0 2px 3px rgba(0, 0, 0, .15);
    border: 1px solid #cccccc;
    border-radius: 0.313em .5em .5em .313em;
    height: auto;
}

.btns-field input[type=submit] {
    cursor: pointer;
    position: absolute;
    top: 0;
    right: 0;
    padding: 1em;
    /*font-size:0.938em;*/
    text-transform: uppercase;
    font-weight: bold;
    background: #0077ff;
    color: #ffffff;
    border: 1px solid #0077ff;
    padding: 1em 1.25em;
    border-radius: 0 0.313em 0.313em 0;
    height: 100%;
}

.btns-field .icon {
    font-family: 'FontAwesome';
}

.btns-field input[type=submit]:hover {
    background: #0077ff;
}

.btns-field input[type=submit]:active {
    background: #b00000;
}